Sub main()
Set swApp = Application.SldWorks
Set DrawingDoc = swApp.ActiveDoc
If DrawingDoc.GetType <> 3 Then Exit Sub
Set SelMgr = DrawingDoc.SelectionManager
If SelMgr.GetSelectedObjectType2(1) <> 12 Then Exit Sub
2013高考理综试题及答案Set swview = SelMgr.GetSelectedObjectsDrawingView(1)
Set swDrawComp = swview.RootDrawingComponent
DrawingDoc.ActivateView swDrawComp.View.GetName2
heavy的比较级和最高级Set Part = swview.ReferencedDocument
Set FeatObj = Part.FirstFeature
FeatObjname = FeatObj.GetTypeName
2013年诺贝尔奖
merciWhile FeatObjname <> "OriginProfileFeature"
Set FeatObj = FeatObj.GetNextFeature
FeatObjname = FeatObj.GetTypeName
Wend
游乐场英文Featname = FeatObj.Name
ViewOutlines = swview.GetOutline
ViewCXform = swview.GetXform
continueViewXform = swview.GetViewXform
philexHp1x = (ViewOutlines(0) - ViewCXform(0)) / ViewXform(12)
Hp1y = ((ViewOutlines(1) + ViewOutlines(3)) / 2 - ViewCXform(1)) / ViewXform(12)
Hp2x = (ViewOutlines(2) - ViewCXform(0)) / ViewXform(12)
Hp2y = Hp1y
Vp1x = ((ViewOutlines(0) + ViewOutlines(2)) / 2 - ViewCXform(0)) / ViewXform(12)
Vp1y = (ViewOutlines(3) - ViewCXform(1)) / ViewXform(12)sos的意思
Vp2x = Vp1x
Vp2y = (ViewOutlines(1) - ViewCXform(1)) / ViewXform(12)
DrawingDoc.SetAddToDB (True)
常用英语口语大全
Set SkLineH = DrawingDoc.SketchManager.CreateCenterLine(Hp1x, Hp1y, 0, Hp2x, Hp2y, 0)
DrawingDoc.SketchAddConstraints "sgHORIZONTAL2D"
boolstatus = DrawingDoc.Extension.SelectByID2("Point1@" & Featname & "@" & swDrawComp.Name & "@" & swDrawComp.View.GetName2, "EXTSKETCHPOINT", 0, 0, 0, True, 0, Nothing, 0)
DrawingDoc.SketchAddConstraints "sgCOINCIDENT"
Set SkLineV = DrawingDoc.SketchManager.CreateCenterLine(Vp1x, Vp1y, 0, Vp2x, Vp2y, 0)
DrawingDoc.SketchAddConstraints "sgVERTICAL2D"
boolstatus = DrawingDoc.Extension.SelectByID2("Point1@" & Featname & "@" & swDrawComp.Name & "@" & swDrawComp.View.GetName2, "EXTSKETCHPOINT", 0, 0, 0, True, 0, Nothing, 0)
DrawingDoc.SketchAddConstraints "sgCOINCIDENT"
DrawingDoc.ClearSelection2 True
End Subhm啥意思